Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets
Class TreeSelectionChangeListenerHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          org.richfaces.view.facelets.TreeSelectionChangeListenerHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class TreeSelectionChangeListenerHandler

extends javax.faces.view.facelets.TagHandler

Nested Class Summary
`static class` | `TreeSelectionChangeListenerHandler.LazyListener`
`static class` | `TreeSelectionChangeListenerHandler.MethodExpressionListener`

Field Summary

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`TreeSelectionChangeListenerHandler(javax.faces.view.facelets.TagConfig config)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeSelectionChangeListenerHandler

    public TreeSelectionChangeListenerHandler(javax.faces.view.facelets.TagConfig config)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.